<div class="container" fxLayout="row" fxLayoutAlign="center none">
  <div fxFlex="95%">





    <div>
      <mat-card>
        <mat-card-content>
          <h2>Select a product to see related initiatives</h2>

          <form [formGroup]="searInitiativeProductForm" >


            <div fxLayout="row">

              <div fxFlex="40%" fxFlex.md="60%" fxFlex.sm="50%" fxFlex.xs="100%">


                <!-- <mat-form-field class="full-width">
                  <mat-label>Owner</mat-label>
                  <input type="text"
                         placeholder="Select a owner"
                         aria-label="Number"
                         matInput
                         formControlName="owner"
                         [matAutocomplete]="auto">
                  <mat-autocomplete autoActiveFirstOption #auto="matAutocomplete">
                    <mat-option *ngFor="let owner of filteredOwners | async" [value]="owner.name">
                      {{owner.name}}
                    </mat-option>
                  </mat-autocomplete>
                </mat-form-field> -->

                <mat-form-field class="full-width">
                  <mat-label>Product</mat-label>
                  <mat-select formControlName="product" [value]="selectedProduct"
                  (selectionChange)="productChanged($event.value)">
                    <mat-option *ngFor="let product of products" [value]="product" onchange="productChanged(product)">
                      <h4>{{product.title}}</h4>
                      <span> | {{product.description}} |</span>
                    </mat-option>
                  </mat-select>
                </mat-form-field>




              </div>

            </div>

          </form>

        </mat-card-content>
      </mat-card>
    </div>
    <h2>Initiatives belog to {{selectedProduct.title}}</h2>

    <div>
      <mat-accordion>
        <mat-expansion-panel *ngFor="let initiative of initiatives; last as last">
          <mat-expansion-panel-header>
            <mat-panel-title>
              {{ initiative.title }}
            </mat-panel-title>
            <mat-panel-description>
              {{ initiative.status }}
            </mat-panel-description>
          </mat-expansion-panel-header>
          <p><b>Success Criteria: </b>{{ initiative.successCriteria }}</p>
          <p><b>Start Date: </b>{{ initiative.startDate }}</p>
          <p><b>End Date: </b>{{ initiative.endDate }}</p>
          <p><b>Priority: </b>{{ initiative.priority }}</p>
          <p><b>Owner: </b>{{ initiative.owner.name }}</p>
          <p><b>Jira: </b>{{ initiative.jiraLink }}</p>

          <h3>Dependencies</h3>
          <mat-divider></mat-divider>


          <p matListItemLine *ngFor="let dependency of initiative.dependencies">
            <span>{{ dependency.title }}</span>
            <span class="demo-2"> -- {{ dependency.successCriteria }}</span>
          </p>
          <!-- <button
            mat-flat-button
            color="accent"
          >
            <mat-icon>open_in_new</mat-icon>Initiatives
          </button> -->
          <!-- <mat-divider [inset]="true" *ngIf="!last"></mat-divider> -->
        </mat-expansion-panel>
      </mat-accordion>
    </div>






  </div>
</div>


